CON
  _clkmode = xtal1 + pll16x 
  _xinfreq = 5_000_000

OBJ
  SN    : "Simple_Numbers"
  rtc   : "DS1302_full"
  debug : "SerialMirror"        

VAR
  byte hour, minute, minuterecord, second, secondrecord, day, month, year, dow, timedif,hour2seconds
  
PUB init
  dira[0] := 0
  Debug.start(31, 30, 0, 115200)
  waitcnt(clkfreq/5+cnt)
  rtc.init( 4, 5, 6 )
  waitcnt(clkfreq/5+cnt)
  main                             
Pub main
  
  repeat
    timedif:=0
    rtc.readTime( @hour, @minute, @second )     'read time from DS1302
    secondrecord := second                      'capture seconds
    minuterecord := minute                      'capture minutes
    debug.str(string("secondrecord ="))
    debug.str(SN.decx(secondrecord,2))
    debug.str (string(13))
    repeat until ina[0] == 0                     'wait for button press
    rtc.readtime ( @hour,@minute,@second )       'get current time reading 
    debug.str (string("second ="))
    debug.str (SN.decx(second,2))
    debug.tx(13)
    hour2seconds := hours2secondCalc
    debug.str(string("Hour seconds ="))
    debug.str(SN.decx(hour2seconds,8))
    if minute > minuterecord                  
        if second <=9
          
          timedif := SN.dec(60)-SN.dec(secondrecord) + SN.dec(second)      'trying to subract secondrecord from 60 and add it to second
          debug.str(string("modified timedif",13))
    else
        timedif := second - secondrecord
        debug.str(string("stardard timedif",13))
    debug.str(string("Time difference in seconds ="))
    debug.str(SN.decx(timedif,2))
    debug.tx(13)
    
    if timedif >= 9 
        Debug.str( SN.decx(hour,2) )
        Debug.str( string(":"))
        Debug.str( SN.decx(minute,2) )
        Debug.str( string(":") )
        Debug.str( SN.decx(second,2))
        Debug.Str(String(13,10))    
        waitcnt( clkfreq + cnt )
    else
        Debug.Str (String("To soon!",13,10))
    waitcnt (clkfreq+cnt)
Pub hours2secondCalc
  return (60 * 60 * hour)